(unless *wgnuplot-keyword-tree*
  (setq *wgnuplot-keyword-tree*
        '(("cd" . ( nil
	     ("\'<directory-name>\'" . nil)
	     ("\"<directory-name>\"" . nil)
	     ))
          
          ("call" .( ("<\"input-file\" parm0 parm1 ... parm9>" . nil)
	      ))
          
          ("fit" . ( ("[<xrange>]" . nil)
	      ("[<yrange>]" . nil)
	      ("<function>"  . nil)
	      ("\'<datafile>\'" . nil)
	      ("via \'<parameter file>\'"  . nil)
	      ("via <var1(,var2,..)>"  . nil)
	      ("binary <binary_list>"  . nil)
	      ("matrix"  . nil)
	      ("index <index_list>" . nil)
	      ("every <every_list>"  . nil)
	      ("thru <thru_expression>"  . nil)
	      ("using <using_list>" . nil)
	      ))
          
          ("help".  ( ("" . nil)
	       ("<topic>" . nil)
	       ("<topic>?" . nil)
	       ))
          
          ("history". ( ("" . nil)
	         ("<entries>" . nil)
	         ("quiet <entries>" . nil)
	         ("\"<filename>\"" . nil)
	         ("\"<filename>\" append" . nil)
	         ("<number_of_entries \"filename\">" . nil)
	         ("?<command>" . nil)
	         ("!<execute-command>" .nil)
	         ))
          
          ("hist". ( ("" . nil)
	      ("<entries>" . nil)
	      ("quiet <entries>" . nil)
	      ("\"<filename>\"" . nil)
	      ("\"<filename>\" append" . nil)
	      ("<number_of_entries \"filename\">" . nil)
	      ("?<command>" . nil)
	      ("!<execute-command>" .nil)
	      ))
          
          ("hi". ( ("" . nil)
	    ("<entries>" . nil)
	    ("quiet <entries>" . nil)
	    ("\"<filename>\"" . nil)
	    ("\"<filename>\" append" . nil)
	    ("<number_of_entries \"filename\">" . nil)
	    ("?<command>" . nil)
	    ("!<execute-command>" .nil)
	    ))
          
          ("if" .  ( ("(<condition>)" . nil)
	      ("<scripts>" . nil)
	      ("else if (<condition>)" . nil)
	      ("else" . nil)
	      ))
          
          ("load" . ( ("\"<input-file>\"" . nil)
	       ))
          
          ("pause". ( ("<time>" . nil)
	       ("\"<string>\"" . nil)
	       ("mouse" . ( ("keypress" . nil)
		     ("button1" . nil)
		     ("button2" . nil)
		     ("button3" . nil)
		     ("any" . nil)
		     ("\"<string>\"" . nil)
		     ))
	       ))
          
          ("plot" . ( ("[<ranges>]" . nil)
	       ("<function>" . nil)
	       ("\"<datafile>\"" . nil)
	       ("\'<datafile>\'" . nil)
	       ("binary <binary_list>" . nil)
	       ("matrix" . nil)
	       ("index <index_list>" . nil)
	       ("every <every_list>" . nil)
	       ("thru <thru_expression>" . nil)
	       ("smooth" . ( nil
		      ("unique" . nil)
		      ("frequency" . nil)
		      ("csplines" . nil)
		      ("acsplines" . nil)
		      ("bezier" . nil)
		      ("sbezier" . nil)
		      ))
	       
	       ("title \"<title>\"" . nil)
	       ("notitle" . nil)
	       ("axes <axes>" . nil)
	       (", <definitions>, " . nil)
	       ("newhistogram" . nil)
	       ("using <using_list(,\"format_string\")>" . nil)
	       ("xticlabels(<labelcol>)" . nil)
	       ("yticlabels(<labelcol>)" . nil)
	       ("x2ticlabels(<labelcol>)" . nil)
	       ("y2ticlabels(<labelcol>)" . nil)
	       ("with" . ( nil
		    ("lines" . nil)
		    ("points" . nil)
		    ("linespoints" . nil)
		    ("impulses" . nil)
		    ("dots" . nil)
		    ("steps" . nil)
		    ("fsteps" . nil)
		    ("histeps" . nil)
		    ("errorbars" . nil)
		    ("labels" . nil)
		    ("xerrorbars" . nil)
		    ("yerrorbars" . nil)
		    ("xyerrorbars" . nil)
		    ("errorlines" . nil)
		    ("xerrorlines" . nil)
		    ("yerrorlines" . nil)
		    ("xyerrorlines" . nil)
		    ("boxes" . nil)
		    ("histograms" . nil)
		    ("filledcurves" . nil)
		    ("boxerrorbars" . nil)
		    ("boxxyerrorbars" . nil)
		    ("financebars" . nil)
		    ("candlesticks" . nil)
		    ("vectors" . nil)
		    ("image" . nil)
		    ("yrgbimage" . nil)
		    ("fill" . nil)
		    ))
	       ))
          
          ("splot" . ( ("[<ranges>]" . nil)
	        ("<function>" . nil)
	        ("\"<datafile>\"" . nil)
	        ("binary <binary_list>" . nil)
	        ("matrix" . nil)
	        ("index <index_list>" . nil)
	        ("every <every_list>". nil)
	        ("thru <thru_expression>" . nil)
	        ("smooth" . ( nil
		       ("unique" . nil)
		       ("frequency" . nil)
		       ("csplines" . nil)
		       ("acsplines" . nil)
		       ("bezier" . nil)
		       ("sbezier" . nil)
		       ))
	        ("title \"<title>\"" . nil)
	        ("notitle" . nil)
	        ("axes <axes>" . nil)
	        (", <definitions>, " . nil)
	        ("newhistogram" . nil)
	        ("using <using_list(,\"format_string\")>" . nil)
	        ("xticlabels(<labelcol>)" . nil)
	        ("yticlabels(<labelcol>)" . nil)
	        ("zticlabels(<labelcol>)" . nil)
	        ("x2ticlabels(<labelcol>)" . nil)
	        ("y2ticlabels(<labelcol>)" . nil)
	        ("with" . ( nil
		     ("lines" . nil)
		     ("points" . nil)
		     ("linespoints" . nil)
		     ("impulses" . nil)
		     ("dots" . nil)
		     ("steps" . nil)
		     ("fsteps" . nil)
		     ("histeps" . nil)
		     ("errorbars" . nil)
		     ("labels" . nil)
		     ("xerrorbars" . nil)
		     ("yerrorbars" . nil)
		     ("xyerrorbars" . nil)
		     ("errorlines" . nil)
		     ("xerrorlines" . nil)
		     ("yerrorlines" . nil)
		     ("xyerrorlines" . nil)
		     ("histograms" . nil)
		     ("boxerrorbars" . nil)
		     ("financebars" . nil)
		     ("vectors" . nil)
		     ("image" . nil)
		     ("yrgbimage" . nil)
		     ("pm3d" . nil)
		     ))
	        ))
          
          ("print" . ( ("<expression(,expression,..)>" . nil)
	        ))
          
          ("save" . ( nil
	       ("functions \'<filename>\'" . nil)
	       ("variables \'<filename>\'" . nil)
	       ("terminal \'<filename>\'" . nil)
	       ("set \'<filename>\'" . nil)
	       ("\'<filename>\'")
	       ))

          ("set" . ( nil
	     ("angles". ( nil
		   ("degrees" . nil)
		   ("radians" . nil)
		   ))
	     
	     ("arrow" . ( ("<tag>" . nil)
		   ("from <position>" . nil)
		   ("to <position>" . nil)
		   ("rto <position>" . nil)
		   ("arrowstyle <arrow_style>" . nil)
		   ("as <arrow_style>" . nil)
		   ("nohead" . nil)
		   ("head" . nil)
		   ("heads" . nil)
		   ("size <length,angle(,backangle)>" . nil)
		   ("filled" . nil)
		   ("empty" . nil)
		   ("nofilled" . nil)
		   ("front" . nil)
		   ("back" . nil)
		   ("linestyle <line_style>" . nil)
		   ("ls <line_style>" . nil)
		   ("linetype <line_type>" . nil)
		   ("lt <line_type>" . nil)
		   ("linewidth <line_width>" . nil)
		   ("lw <line_width>" . nil)
		   ))
	     
	     ("autoscale" . ( ("x" . nil)
		       ("y" . nil)
		       ("z" . nil)
		       ("cb" . nil)
		       ("x2" . nil)
		       ("y2" . nil)
		       ("xy" . nil)
		       ("xmin" . nil)
		       ("xmax" . nil)
		       ("xfixmin" . nil)
		       ("xfixmin" . nil)
		       ("xfix" . nil)
		       ("ymin" . nil)
		       ("ymax" . nil)
		       ("yfixmin" . nil)
		       ("yfixmin" . nil)
		       ("yfix" . nil)
		       ("zmin" . nil)
		       ("zmax" . nil)
		       ("zfixmin" . nil)
		       ("zfixmin" . nil)
		       ("zfix" . nil)
		       ("cbmin" . nil)
		       ("cbmax" . nil)
		       ("cbfixmin" . nil)
		       ("cbfixmin" . nil)
		       ("cbfix" . nil)
		       ("x2min" . nil)
		       ("x2max" . nil)
		       ("x2fixmin" . nil)
		       ("x2fixmin" . nil)
		       ("x2fix" . nil)
		       ("y2min" . nil)
		       ("y2max" . nil)
		       ("y2fixmin" . nil)
		       ("y2fixmin" . nil)
		       ("y2fix" . nil)
		       ("fix" . nil)
		       ("keepfix" . nil)
		       ))
	     
	     ("bars". ( ("small" . nil)
		 ("large" . nil)
		 ("fullwidth" . nil)
		 ("<size>". nil)
		 ))
	     
	     ("border". ( ("<integer>" . nil)
		   ("front" . nil)
		   ("back" . nil)
		   ("linewidth <line_width>" . nil)
		   ("lw <line_width>" . nil)
		   ("linestyle <line_style>" . nil)
		   ("ls <line_style>" . nil)
		   ("linetype <line_type>" . nil)
		   ("lt <line_type>". nil)
		   ))
	     
	     ("boxwidth" . ( ("<width>" . nil)
		      ("absolute" . nil)
		      ("relative". nil)
		      ))
	     
	     ("clabel". ( ("\'<format>\'". nil)
		   ))
	     
	     ("clip" . ( ("<clip-type>". nil)
		  ))
	     
	     ("cntrparam" . ( ("linear" . nil)
		       ("cubicspline" . nil)
		       ("bspline" . nil)
		       ("points <n>" . nil)
		       ("order <n>" . nil)
		       ("levels" . ( nil
			      ("auto <(n)>" . nil)
			      ("<n>" . nil)
			      ("discrete <z1(,z2)(,z3..)>" . nil)
			      ("incremental <start(,incr (,end))>". nil)
			      ))
		       ))
	     
		       
	     ("colorbox" . ( ("vertical" . nil)
		      ("horizontal" . nil)
		      ("default" . nil)
		      ("user" . nil)
		      ("origin <x, y>" . nil)
		      ("size <x, y>" . nil)
		      ("noborder" . nil)
		      ("bdefault" . nil)
		      ("border <line style>". nil)
		      ))
	     
	     ("contour". ( ("base" . nil)
		    ("surface" . nil)
		    ("both". nil)
		    ))
	     
	     ("datafile" . ( ("fortran" . nil)
		      ("missing \"<string>\"" . nil)
		      ("separator \"<char>\"" . nil)
		      ("separator whitespace" . nil)
		      ("commentschars" . nil)
		      ("commentschars \"<string>\"" . nil)
		      ("binary <binary list>". nil)
		      ))
	     
	     ("decimalsign" . ( ("\"<decimalsign>\"" . nil)
		         ("locale" . nil)
		         ("locale \"<(locale)>\"". nil)
		         ))
	     
	     ("dgrid3d" . ( ("<row_size(,col_size)(,<norm>)>". nil)
		     ))
	     
	     ("dummy" . ( ("<dummy-var(,dummy-var)>". nil)
		   ))
	     
	     ("encoding" . ( ("default" . nil)
		      ("iso_8859_1" . nil)
		      ("iso_8859_2" . nil)
		      ("iso_8859_15" . nil)
		      ("koi8r" . nil)
		      ("koi8u" . nil)
		      ("cp437" . nil)
		      ("cp850" . nil)
		      ("cp852" . nil)
		      ("cp1250". nil)
		      ))
	     
	     ("fit". ( ("errorvariables" . nil)
		("noerrorvariables" . nil)
		("logfile". nil)
		))
	     
	     ("fontpath" . ( ("<pathlist1(,pathlist2,..)>". nil)
		      ))
	     
	     ("format" . ( ("x" . nil)
		    ("y" . nil)
		    ("z" . nil)
		    ("x2" . nil)
		    ("y2" . nil)
		    ("xy" . nil)
		    ("cb" . nil)
		    ("x \"<format-string>\"" . nil)
		    ("y \"<format-string>\"" . nil)
		    ("z \"<format-string>\"" . nil)
		    ("cb \"<format-string>\"" . nil)
		    ("x2 \"<format-string>\"" . nil)
		    ("y2 \"<format-string>\"" . nil)
		    ("xy \"<format-string>\"" . nil)
		    ("\"<format-string>\"" . nil)
		    ("x \'<format-string>\'" . nil)
		    ("y \'<format-string>\'" . nil)
		    ("z \'<format-string>\'" . nil)
		    ("cb \'<format-string>\'" . nil)
		    ("x2 \'<format-string>\'" . nil)
		    ("y2 \'<format-string>\'" . nil)
		    ("xy \'<format-string>\'" . nil)
		    ("\'<format-string>\'". nil)
		    ))
	     
	     ("grid" .  ( ("xtics" . nil)
		   ("mxtics" . nil)
		   ("noxtics" . nil)
		   ("nomxtics" . nil)
		   ("ytics" . nil)
		   ("myxtics" . nil)
		   ("noytics" . nil)
		   ("nomytics" . nil)
		   ("ztics" . nil)
		   ("mztics" . nil)
		   ("noztics" . nil)
		   ("nomztics" . nil)
		   ("x2tics" . nil)
		   ("mx2tics" . nil)
		   ("nox2tics" . nil)
		   ("nomx2tics" . nil)
		   ("y2tics" . nil)
		   ("my2xtics" . nil)
		   ("noy2tics" . nil)
		   ("nomy2tics" . nil)
		   ("cbtics" . nil)
		   ("mcbtics" . nil)
		   ("nocbtics" . nil)
		   ("nomcbtics" . nil)
		   ("polar" . nil)
		   ("polar <angle>" . nil)
		   ("layerdefault" . nil)
		   ("front" . nil)
		   ("back" . nil)
		   ("linestyle <major_linestyle>" . nil)
		   ("linetype <major_linetype>" . nil)
		   ("lt <major_linetype>" . nil)
		   ("linewidth <major_linewidth>" . nil)
		   ("lw <major_linewidth>" . nil)
		   ("linestyle <minor_linestyle>" . nil)
		   ("linetype <minor_linetype>" . nil)
		   ("lt <minor_linetype>" . nil)
		   ("linewidth <minor_linewidth>" . nil)
		   ("lw <minor_linewidth>". nil)
		   ))
	     
	     ("hidden3d" . ( ("defaults" . nil)
		      ("offset <offset>" . nil)
		      ("nooffset" . nil)
		      ("trianglepattern <bitpattern>" . nil)
		      ("undefined <level>" . nil)
		      ("noundefined" . nil)
		      ("noaltdiagonal" . nil)
		      ("altdiagonal" . nil)
		      ("bentover" . nil)
		      ("nobentover". nil)
		      ))
	     
	     ("historysize" . ( ("<int>". nil)
		         ))
	     
	     ("isosamples" . ( ("<iso1(,iso2)>". nil)
		        ))
	     
	     ("key" .  ( ("on" . nil)
		  ("off" . nil)
		  ("default" . nil)
		  ("inside" . nil)
		  ("outside" . nil)
		  ("lmargin" . nil)
		  ("rmargin" . nil)
		  ("tmargin" . nil)
		  ("bmargin" . nil)
		  ("at <position>" . nil)
		  ("left" . nil)
		  ("right" . nil)
		  ("center" . nil)
		  ("top" . nil)
		  ("bottom" . nil)
		  ("center" . nil)
		  ("vertical" . nil)
		  ("horizontal" . nil)
		  ("Left" .nil)
		  ("Right" . nil)
		  ("noreverse" . nil)
		  ("noinvert" . nil)
		  ("reverse" . nil)
		  ("invert" . nil)
		  ("samplen <sample_length>" . nil)
		  ("spacing <vertical_spacing>" . nil)
		  ("width <width_increment>" . nil)
		  ("height <height_increment>" . nil)
		  ("noautotitle" . nil)
		  ("autotitle" . nil)
		  ("autotitle columnheader" . nil)
		  ("title \"<text>\"" . nil)
		  ("noenhanced" . nil)
		  ("enhanced" . nil)
		  ("nobox" . nil)
		  ("box" . ( ("linestyle <line_style>" . nil)
		             ("ls <line_style>" . nil)
		             ("linetype <line_type>" . nil)
		             ("lt <line_type>" . nil)
		             ("linewidth <line_width>" . nil)
		             ("lw <line_width>" . nil)
		             ))
		  ))
	     
	     ("label" . ( ("<tag>" . nil)
		   ("\"<label text>\"" . nil)
		   ("at <position>" . nil)
		   ("left" . nil)
		   ("center" . nil)
		   ("right" . nil)
		   ("norotate" . nil)
		   ("rotate" . nil)
		   ("rotate by <degrees>" . nil)
		   ("font \"<name(,size)}\"" . nil)
		   ("noenhanced" . nil)
		   ("front" . nil)
		   ("back" . nil)
		   ("textcolor <colorspec>" . nil)
		   ("tc <colorspec>" . nil)
		   ("point <pointstyle>" . nil)
		   ("nopoint" . nil)
		   ("offset <offset>" . nil)
		   ))
	     
	     ("loadpath" . ( ("\"pathlist1(,...)\"" . nil)
		      ))
	      
	     ("locale" . ( ("\"<locale>\"" . nil)
		    ))
	     
	     ("logscale" . ( ("x" . nil)
		      ("y" . nil)
		      ("z" . nil)
		      ("x2" . nil)
		      ("y2" . nil)
		      ("cb" . nil)
		      ("xy" . nil)
		      ("xz" . nil)
		      ("yz" . nil)
		      ("xyz" . nil)
		      ("xcb" . nil)
		      ("ycb" . nil)
		      ("zcb" . nil)
		      ("xycb" . nil)
		      ("xzcb" . nil)
		      ("yzcb" . nil)
		      ("xyzcb" . nil)
		      ("xx2" . nil)
		      ("yx2" . nil)
		      ("zx2" . nil)
		      ("cbx2" . nil)
		      ("xyx2" . nil)
		      ("xzx2" . nil)
		      ("yzx2" . nil)
		      ("xyzx2" . nil)
		      ("xx2cb" . nil)
		      ("yx2cb" . nil)
		      ("zx2cb" . nil)
		      ("xyx2cb" . nil)
		      ("xzx2cb" . nil)
		      ("yzx2cb" . nil)
		      ("xyzx2cb" . nil)
		      ("xy2" . nil)
		      ("yy2" . nil)
		      ("zy2" . nil)
		      ("cby2" . nil)
		      ("xyy2" . nil)
		      ("xzy2" . nil)
		      ("yzy2" . nil)
		      ("xyzy2" . nil)
		      ("xy2cb" . nil)
		      ("yy2cb" . nil)
		      ("zy2cb" . nil)
		      ("xyy2cb" . nil)
		      ("xzy2cb" . nil)
		      ("yzy2cb" . nil)
		      ("xyzy2cb" . nil)
		      ("xx2y2" . nil)
		      ("yx2y2" . nil)
		      ("zx2y2" . nil)
		      ("cbx2y2" . nil)
		      ("xyx2y2" . nil)
		      ("xzx2y2" . nil)
		      ("yzx2y2" . nil)
		      ("xyzx2y2" . nil)
		      ("xx2y2cb" . nil)
		      ("yx2y2cb" . nil)
		      ("zx2y2cb" . nil)
		      ("xyx2y2cb" . nil)
		      ("xzx2y2cb" . nil)
		      ("yzx2y2cb" . nil)
		      ("xyzx2y2cb" . nil)
		      ("<base>" . nil)
		      ))
	     
	     ("mapping" . ( nil
		     ("cartesian" . nil)
		     ("spherical" . nil)
		     ("cylindrical" . nil)
		     ))
	     ("bmargin" . ( ("<margin>")
		     ))
	     ("rmargin" . ( ("<margin>")
		     ))
	     ("lmargin" . ( ("<margin>")
		     ))
	     ("tmargin" . ( ("<margin>")
		     ))
	     
	     ("mouse" . ( ("doubleclick <ms>" . nil)
		   ("nodoubleclick" . nil)
		   ("nozoomcoordinates" . nil)
		   ("zoomcoordinates" . nil)
		   ("nopolardistance" . nil)
		   ("polardistance" . nil)
		   ("format <string>" . nil)
		   ("clipboardformat <int>" . nil)
		   ("clipboardformat \"<string>\"" . nil)
		   ("mouseformat <int>" . nil)
		   ("mouseformat \"<string>\"" . nil)
		   ("labels" . nil)
		   ("nolabels" . nil)
		   ("labeloptions \"<string>\"" . nil)
		   ("nozoomjump" . nil)
		   ("noverbose" . nil)
		   ("zoomjump" . nil)
		   ("verbose" . nil)
		   ))
	     
	     ("multiplot" . ( ("layout <rows,cols>" . nil)
		       ("rowsfirst" . nil)
		       ("columnsfirst" . nil)
		       ("downwards" . nil)
		       ("upwards" . nil)
		       ("scale <xscale(,yscale)>" . nil)
		       ("offset <xoff(,yoff)>" . nil)
		       ))
	     
	     ("mxtics" . (("<freq>" . nil)
		   ("default" . nil)
		   ))
	     
	     ("mytics" . ( ("<freq>" . nil)
		    ("default". nil)
		    ))
	     
	     ("mztics" . ( ("<freq>" . nil)
		    ("default". nil)
		    ))
	     
	     ("mx2tics" . ( ("<freq>" . nil)
		     ("default". nil)
		     ))
	     
	     ("my2tics" . ( ("<freq>" . nil)
		     ("default". nil)
		     ))
	     
	     ("mcbtics" . ( ("<freq>" . nil)
		     ("default". nil)
		     ))

	     ("offsets" . ( ("<left, right, top, bottom>". nil)
		     ))
	     
	     ("origin" . ( ("<x-origin, y-origin>". nil)
		    ))
	     
	     ("output" . ( ("\"<filename>\"" . nil)
		     ))
	     
	     ("out" . ( ("\"<filename>\"" . nil)
		 ))
	     
	     ("pm3d" . ( ("at <bst_combination>" . nil)
		  ("interpolate <steps_in_scan,steps_between_scans>" . nil)
		  ("scansautomatic" . nil)
		  ("scansforward" . nil)
		  ("scansbackward" . nil)
		  ("flush begin" . nil)
		  ("flush center" . nil)
		  ("flush end" . nil)
		  ("ftriangles" . nil)
		  ("noftriangles" . nil)
		  ("depthorder" . nil)
		  ("clip1in" . nil)
		  ("clip4in" . nil)
		  ("corners2color" . ( ("mean" . nil)
			        ("geomean" . nil)
			        ("median" . nil)
			        ("min" . nil)
			        ("max" . nil)
			        ("c1" . nil)
			        ("c2" . nil)
			        ("c3" . nil)
			        ("c4" . nil)
			        ))
		  ("hidden3d <linestyle>" . nil)
		  ("nohidden3d" . nil)
		  ("implicit" . nil)
		  ("explicit" . nil)
		  ("map". nil)
		  ))
	     
	     ("palette" .  ( ("gray" . nil)
		      ("color" . nil)
		      ("gamma <gamma>" . nil)
		      ("rgbformulae <r,g,b>" . nil)
		      ("defined <gray1 color1(,grayN colorN)>" . nil)
		      ("file \"<filename>\"" . nil)
		      ("file <\"filename\" datafile-modifiers>" . nil)
		      ("functions <R,G,B>" . nil)
		      ("model RGB" . nil)
		      ("model HSV" . nil)
		      ("model CMY" . nil)
		      ("model YIQ" . nil)
		      ("model XYZ" . nil)
		      ("positive" . nil)
		      ("negative" . nil)
		      ("nops_allcF" . nil)
		      ("ps_allcF" . nil)
		      ("maxcolors <maxcolors>". nil)
		      ))

	     ("parametric" . nil)
	     
	     ("pointsize" . ( ("<multiplier>". nil)
		       ))
	     
	     ("print" . ( ("\"-\"" . nil)
		   ("\"<filename>\"" . nil)
		   ("\"<filename>\" append" . nil)
		   ("\"|<shell_command>\"". nil)
		   ))
	     
	     ("samples" . ( ("<samples_1(,samples_2)>". nil)
		     ))
	     
	     ("size" . ( ("nosquare" . nil)
		  ("square" . nil)
		  ("ratio <r>" . nil)
		  ("noratio" . nil)
		  ("<xscale, yscale>". nil)
		  ))
	     
	     ("style" . ( ("function" .  ( nil
			     ("boxerrorbars" . nil)
			     ("boxes" . nil)
			     ("boxxyerrorbars" . nil)
			     ("candlesticks" . nil)
			     ("dots" . nil)
			     ("filledcurves" . nil)
			     ("financebars" . nil)
			     ("fsteps" . nil)
			     ("histeps" . nil)
			     ("histograms" . nil)
			     ("image" . nil)
			     ("impulses" . nil)
			     ("labels" . nil)
			     ("lines" . nil)
			     ("linespoints" . nil)
			     ("points" . nil)
			     ("steps" . nil)
			     ("rgbimage" . nil)
			     ("vectors" . nil)
			     ("xerrorbars" . nil)
			     ("xyerrorbars" . nil)
			     ("yerrorbars" . nil)
			     ("xerrorlines" . nil)
			     ("xyerrorlines" . nil)
			     ("yerrorlines". nil)
			     ))
		   ("data" . ( nil
		               ("boxerrorbars" . nil)
			("boxes" . nil)
			("boxxyerrorbars" . nil)
			("candlesticks" . nil)
			("dots" . nil)
			("filledcurves" . nil)
			("financebars" . nil)
			("fsteps" . nil)
			("histeps" . nil)
			("histograms" . nil)
			("image" . nil)
			("impulses" . nil)
			("labels" . nil)
			("lines" . nil)
			("linespoints" . nil)
			("points" . nil)
			("steps" . nil)
			("rgbimage" . nil)
			("vectors" . nil)
			("xerrorbars" . nil)
			("xyerrorbars" . nil)
			("yerrorbars" . nil)
			("xerrorlines" . nil)
			("xyerrorlines" . nil)
			("yerrorlines". nil)
			))
		   
		   ("arrow" . ( ("<index>" . nil)
			 ("default" . nil)
			 ("nohead" . nil)
			 ("head" . nil)
			 ("heads" . nil)
			 ("size <length,angle(,backangle)>" . nil)
			 ("filled" . nil)
			 ("empty" . nil)
			 ("nofilled" . nil)
			 ("front" . nil)
			 ("back" . nil)
			 ("linestyle <line_style>" . nil)
			 ("ls <line_style>" . nil)
			 ("linetype <line_type>" . nil)
			 ("lt <line_type>" . nil)
			 ("linewidth <line_width>" . nil)
			 ("lw <line_width>". nil)
			 ))
		   ("fill" . ( ("empty" . nil)
			("solid" . nil)
			("solid <density>" . nil)
			("pattern" . nil)
			("pattern <n>" . nil)
			("border" . nil)
			("border <linetype>" . nil)
			("noborder". nil)
			))
		   ("histogram" . ( ("clustered" . nil)
			     ("clustered gap <gapsize>" . nil)
			     ("errorbars" . nil)
			     ("errorbars gap <gapsize>" . nil)
			     ("errorbars gap <gapsize linewidth>" . nil)
			     ("rowstacked"  "columnstacked". nil)
			     ))
		   ("line". ( ("<index>" . nil)
		              ("default" . nil)
		              ("linetype <line_type>" . nil)
		              ("lt <line_type>" . nil)
		              ("<colorspec>" . nil)
		              ("linecolor <colorspec>" . nil)
		              ("lc <colorspec>" . nil)
		              ("linewidth <line_width>" . nil)
		              ("lw <line_width>" . nil)
		              ("pointtype <point_type>" . nil)
		              ("pt <point_type>" . nil)
		              ("pointsize <point_size>" . nil)
		              ("ps <point_size>" . nil)
		              ("palette". nil)
		              ))
		   ))
	     
	     ("table" . ( ("\"outfile\"". nil)
		   ))
	     ("term". ( nil
		("windows" . ( ("<color>". nil)
			("\"<fontname>\"" . nil)
			("<fontsize>". nil)
			))
		
		("win" . ( ("<color>". nil)
		           ("\"<fontname>\"" . nil)
		           ("<fontsize>". nil)
		           ))
		
		("aifm" . ( ("<color>". nil)
		            ("\"<fontname>\"" . nil)
		            ("<fontsize>". nil)
		            ))
		
		("cgm" . ( ("landscape". nil)
		           ("portrait" . nil)
		           ("default" . nil)
		           ("color" . nil)
		           ("monochrome" . nil)
		           ("rotate" . nil)
		           ("norotate" . nil)
		           ("solid" . nil)
		           ("dashed" . nil)
		           ("width <plot_width>" . nil)
		           ("linewidth <line_width>" . nil)
		           ("\"<fontname>\"" . nil)
		           ("<fontsize>" . nil)
		           ("<color0>" . nil)
		           ("<color0, color1, ...>" . nil)
		           ))


		("corel" . ( ("default" . nil)
		             ("monochrome" . nil)
		             ("color" . nil)
		             ("\"<font>\"" . nil)
		             ("<fontsize>" . nil)
		             ("<xsize>" . nil)
		             ("<ysize>" . nil)
		             ("<linewidth>" . nil)
		             ))
		

		("dumb" .  ( ("feed" . nil)
		             ("nofeed" . nil)
		             ("<xsize>" . nil)
		             ("<ysize>" . nil)
		             ("noenhanced" . nil)
		             ("enhanced" . nil)
		             ))
		
		
		("dxf" . nil)
		("emf" . (("color" . nil)
		          ("monochrome" . nil)
		          ("solid" . nil)
		          ("dashed" . nil)
		          ("linewidth <linewidth>" . nil)
		          ("\"<fontname>\"". nil)
		          ))
		("fig" . ( ("monochrome" . nil)
		           ("color" . nil)
		           ("landscape" . nil)
		           ("portrait" . nil)
		           ("small" . nil)
		           ("big" . nil)
		           ("size" . nil)
		           ("<xsize>" . nil)
		           ("<ysize>" . nil)
		           ("metric" . nil)
		           ("inches" . nil)
		           ("pointsmax <max_points>")
		           ("solid" . nil)
		           ("dashed" . nil)
		           ("fontsize <fsize>" . nil)
		           ("textnormal" . nil)
		           ("textspecial" . nil)
		           ("texthidden" . nil)
		           ("textrigid" . nil)
		           ("thickness <units>" . nil)
		           ("linewidth <units>" . nil)
		           ("depth <layer>" . nil)
		           ("version <number>" . nil)
		           ))

		("hp2623a" . nil)
		("hp2648" . nil)
		("hp500c" . ( ("75" . nil)
		              ("100" . nil)
		              ("150" . nil)
		              ("300" . nil)
		              ("rle". nil)
		              ("tiff". nil)
		              ))
		("hpgl" . ( ("<number_of_pens>" . nil)
		            ("eject" . nil)
		            ))
		("pcl5" . ( ("mode" . ( ("landscape" . nil)
			         ("monochrome" . nil)
			         ))
		            ("letter" . nil)
		            ("legal" . nil)
		            ("noextended" . nil)
		            ("extended" . nil)
		            ("color" . nil)
		            ("color <number_of_pens>" . nil)
		            ("monochrome" . nil)
		            ("solid" . nil)
		            ("dashed" . nil)
		            ("font" . ( ("stick" . nil)
			         ("univers" . nil)
			         ("cg_times" . nil)
			         ("zapf_dingbats" . nil)
			         ("antique_olive" . nil)
			         ("arial" . nil)
			         ("courier" . nil)
			         ("garamond_antigua" . nil)
			         ("letter_gothic" . nil)
			         ("cg_omega" . nil)
			         ("albertus" . nil)
			         ("times_new_roman" . nil)
			         ("clarendon" . nil)
			         ("coronet" . nil)
			          ("marigold" . nil)
			         ("truetype_symbols" . nil)
			         ("wingdings." . nil)
			         ))
		            ("size <fontsize>" . nil)
		            ("pspoints" . nil)
		            ("nopspoints" . nil)
		            ))
		
		("hpljii" . ( ("75" . nil)
		              ("100" . nil)
		              ("150" . nil)
			("300" . nil)
			))
		 ("hpdj" . ( ("75" . nil)
		             ("100" . nil)
		             ("150" . nil)
		             ("300" . nil)
		             ))
		 
		 ("hppj" . ( ("FNT5X9" . nil)
		             ("FNT9X17" . nil)
		             ("FNT13X25" . nil)
		             ))
		 
		 ("imagen" . ( ("<fontsize>" . nil)
			("portrait" . nil)
			("landscape" . nil)
			("[<horiz,vert>]" . nil)
			))
		 
		 ("mif" .  ( ("color" . nil)
		             ("colour" . nil)
		             ("monochrome" . nil)
		             ("polyline" . nil)
		             ("vectors" . nil)
		             ("help" . nil)
		             ("?" . nil)
		             ))


		 ("pbm" . ( ("small" . nil)
		            ("medium" . nil)
		            ("large" . nil)
		            ("monochrome" . nil)
		            ("gray" . nil)
		            ("color" . nil)
		            ("size <x,y>" . nil)
		            ))


		 ("png" . ( ("notransparent" . nil)
		            ("transparent" . nil)
		            ("nointerlace" . nil)
		            ("interlace" . nil)
		            ("notruecolor" . nil)
		            ("truecolor" . nil)
		            ("tiny" . nil)
		            ("small" . nil)
		            ("medium" . nil)
		            ("large" . nil)
		            ("giant" . nil)
		            ("font <face>" . nil) 
		            ("font <face fontsize>" . nil) 
		            ("size <x,y>" . nil)
		            ("nocrop" . nil)
		            ("crop" . nil)
		            ("enhanced" . nil)
		            ("noenhanced" . nil)
		            ("<color0>" . nil)
		            ("<color0 color1...>" . nil)
		            ))


		 ("jpeg" . ( ("nointerlace" . nil)
		             ("nointerlace" . nil)
		             ("tiny" . nil)
		             ("small" . nil)
		             ("medium" . nil)
		             ("large" . nil)
		             ("giant" . nil)
		             ("font <face>" . nil)
		             ("font <face fontsize>" . nil)
		             ("size <x,y>" . nil)
		             ("crop" . nil)
		             ("nocrop" . nil)
		             ("enhanced" . nil)
		             ("noenhanced" . nil)
		             ("<color0>" . nil)
		             ("<color0 color1...>" . nil)
		             ))


		 ("gif" .  ( ("tiny" . nil)
		             ("small" . nil)
		             ("medium" . nil)
		             ("large" . nil)
		             ("giant" . nil)
		             ("notransparent" . nil)
		             ("noenhanced" . nil)
		             ("transparent" . nil)
		             ("enhanced" . nil)
		             ("font <face>" . nil)
		             ("font <face pointsize>" . nil)
		             ("animate" . ( ("delay <time>" . nil)
			             ("nooptimize" . nil)
			             ("" . nil)
			             ))
		             ("size <x,y>" . nil)
		             ("nocrop" . nil)
		             ("crop" . nil)
		             ("<color0>" . nil)
		             ("<color0 color1...>" . nil)
		             ))

		("epslatex" . ( ("default" . nil)
			 ("standalone" . nil)
			 ("input" . nil)
			 ("oldstyle" . nil)
			 ("newstyle" . nil)
			 ("level1" . nil)
			 ("leveldefault" . nil)
			 ("color" . nil)
			 ("colour" . nil)
			 ("monochrome" . nil)
			 ("solid" . nil)
			 ("dashed" . nil)
			 ("dashlength <DL>" . nil)
			 ("dl <DL>" . nil)
			 ("linewidth <LW>" . nil)
			 ("lw <LW>" . nil)
			 ("rounded" . nil)
			 ("butt" . nil)
			 ("palfuncparam <samples>". nil)
			 ("palfuncparam <samples, maxdeviation>" . nil)
			 ("header \"<header_string>\"" . nil)
			 ("noheader" . nil)
			 ("blacktext" . nil)
			 ("colortext" . nil)
			 ("colourtext" . nil)
			 ("\"<fontname>\"" . nil)
			 ("<fontsize>" . nil)
			 ))


		("pslatex" .  ( ("default" . nil)
			 ("rotate" . nil)
			 ("norotate" . nil)
			 ("oldstyle" . nil)
			 ("newstyle" . nil)
			 ("auxfile" . nil)
			 ("noauxfile" . nil)
			 ("level1" . nil)
			 ("leveldefault" . nil)
			 ("color" . nil)
			 ("colour" . nil)
			 ("monochrome" . nil)
			 ("solid" . nil)
			 ("dashed" . nil)
			 ("dashlength <DL>" . nil)
			 ("dl <DL>" . nil)
			 ("linewidth <LW>" . nil)
			 ("lw <LW>" . nil)
			 ("rounded" . nil)
			 ("butt" . nil)
			 ("palfuncparam <samples>" . nil)
			 ("palfuncparam <samples, maxdeviation>" . nil)
			 ("<fontsize>" . nil)
			 ))

		("pstex" .  ( ("default" . nil)
			 ("rotate" . nil)
			 ("norotate" . nil)
			 ("oldstyle" . nil)
			 ("newstyle" . nil)
			 ("auxfile" . nil)
			 ("noauxfile" . nil)
			 ("level1" . nil)
			 ("leveldefault" . nil)
			 ("color" . nil)
			 ("colour" . nil)
			 ("monochrome" . nil)
			 ("solid" . nil)
			 ("dashed" . nil)
			 ("dashlength <DL>" . nil)
			 ("dl <DL>" . nil)
			 ("linewidth <LW>" . nil)
			 ("lw <LW>" . nil)
			 ("rounded" . nil)
			 ("butt" . nil)
			 ("palfuncparam <samples>" . nil)
			 ("palfuncparam <samples, maxdeviation>" . nil)
			 ("<fontsize>" . nil)
			 ))
		
		("postscript" . ( ("default" . nil)
			   ("landscape" . nil)
			   ("portrait" . nil)
			   ("eps" . nil)
			   ("enhanced" . nil)
			   ("noenhanced" . nil)
			   ("defaultplex" . nil)
			   ("simplex" . nil)
			   ("duplex" . nil)
			   ("fontfile" . ( ("\"<filename>\"" . nil)
				    ("add \"<filename>\"" . nil)
				    ("delete \"<filename>\"" . nil)
				    ))
			   ("nofontfiles" . nil)
			   ("level1" . nil)
			   ("leveldefault" . nil)
			   ("color" . nil)
			   ("colour" . nil)
			   ("monochrome" . nil)
			   ("solid" . nil)
			   ("dashed" . nil)
			   ("dashlength <DL>" . nil)
			   ("dl <DL>" . nil)
			   ("linewidth <DL>" . nil)
			   ("lw <LW>" . nil)
			   ("rounded" . nil)
			   ("butt" . nil)
			   ("palfuncparam <samples>" . nil)
			   ("palfuncparam <samples,maxdeviation>" . nil)
			   ("blacktext" . nil)
			   ("colortext" . nil)
			   ("colourtext" . nil)
			   ("\"<fontname>\"" . nil)
			   ("<fontsize>" . nil)
			   ))
		("post"       . ( ("default" . nil)
			   ("landscape" . nil)
			   ("portrait" . nil)
			   ("eps" . nil)
			   ("enhanced" . nil)
			   ("noenhanced" . nil)
			   ("defaultplex" . nil)
			   ("simplex" . nil)
			   ("duplex" . nil)
			   ("fontfile" . ( ("\"<filename>\"" . nil)
				    ("add \"<filename>\"" . nil)
				    ("delete \"<filename>\"" . nil)
				    ))
			   ("nofontfiles" . nil)
			   ("level1" . nil)
			   ("leveldefault" . nil)
			   ("color" . nil)
			   ("colour" . nil)
			   ("monochrome" . nil)
			   ("solid" . nil)
			   ("dashed" . nil)
			   ("dashlength <DL>" . nil)
			   ("dl <DL>" . nil)
			   ("linewidth <DL>" . nil)
			   ("lw <LW>" . nil)
			   ("rounded" . nil)
			   ("butt" . nil)
			   ("palfuncparam <samples>" . nil)
			   ("palfuncparam <samples,maxdeviation>" . nil)
			   ("blacktext" . nil)
			   ("colortext" . nil)
			   ("colourtext" . nil)
			   ("\"<fontname>\"" . nil)
			   ("<fontsize>" . nil)
			   ))
		
		 ("qms" . nil)
		("svg" . ( ("size <x y>" . ( ("" . nil)
			              ("fixed" . nil)
			              ("dynamic" . nil)
			              ))
		           ("enhanced" . nil)
		           ("noenhanced" . nil)
		           ("fname \"<font>\"" . nil)
		           ("fsize <fontsize>" . nil)
		           ("fontfile \"<filename>\"" . nil)
		           ("linewidth <lw>" . nil)
		           ))


		("tgif" . ( ("portrait" . nil)
		            ("landscape" . nil)
		            ("default" . nil)
		            ("[<x,y>]" . nil)
		            ("monochrome" . nil)
		            ("color" . nil)
		            ("linewidth <LW>" . nil)
		            ("lw <LW>" . nil)
		            ("solid" . nil)
		            ("dashed" . nil)
		            ("font \"<fontname>\"" . nil)
		            ("<fontsize>" . nil)
		            ))


		("tkcanvas" . nil)
		("epson-180dpi" . nil)
		("epson-60dpi" . nil)
		("epson-lx800" . nil) 
		("nec-cp6" . ( ("monochrome" . nil)
			("colour" . nil)
			("draft" . nil)
			))
		("okidata" . nil)
		("starc" . nil) 
		("tandy-60dpi" . nil)

		("latex" . ( ("courier" . nil)
		             ("roman" . nil)
		             ("default" . nil)
		             ("<fontsize>" . nil)
		             ))
		("emtex" . ( ("courier" . nil)
		             ("roman" . nil)
		             ("default" . nil)
		             ("<fontsize>" . nil)
		             ))
	              


		("eepic" .  ( ("color" . nil)
		              ("dashed" . nil)
		              ("rotate" . nil)
		              ("small" . nil)
		              ("tiny" . nil)
		              ("default" . nil)
		              ("<fontsize>" . nil)
		              ))

		("tpic" . ( ("<pointsize>" . nil)
		            ("<linewidth>" . nil)
		            ("<interval>"  . nil)
		            ))
		
		("pstricks" . ( ("hacktext" . nil)
			 ("nohacktext". nil)
			 ("unit" . nil)
			 ("nounit" . nil)
			 ))

		("texdraw" . nil)
		("mf" . nil)
		("mp" . ( ("color" . nil)
		          ("colour" . nil)
		          ("monochrome" . nil)
		          ("solid" . nil)
		          ("dashed" . nil)
		          ("notex" . nil)
		          ("tex" . nil)
		          ("latex" . nil)
		          ("magnification <magsize>" . nil)
		          ("psnfss" . nil)
		          ("psnfss-version7" . nil)
		          ("nopsnfss" . nil)
		          ("prologues <value>" . nil)
		          ("a4paper". nil)
		          ("amstex" . nil)
		          ("\"<fontname>\"" . nil)
		          ("<fontsize>" . nil)
		          ))
		
		("push" . nil)
		("pop". nil)
		
		))

	     
	     ("terminal". ( nil
		("windows" . ( ("<color>". nil)
			("\"<fontname>\"" . nil)
			("<fontsize>". nil)
			))
		
		("win" . ( ("<color>". nil)
		           ("\"<fontname>\"" . nil)
		           ("<fontsize>". nil)
		           ))
		
		("aifm" . ( ("<color>". nil)
		            ("\"<fontname>\"" . nil)
		            ("<fontsize>". nil)
		            ))
		
		("cgm" . ( ("landscape". nil)
		           ("portrait" . nil)
		           ("default" . nil)
		           ("color" . nil)
		           ("monochrome" . nil)
		           ("rotate" . nil)
		           ("norotate" . nil)
		           ("solid" . nil)
		           ("dashed" . nil)
		           ("width <plot_width>" . nil)
		           ("linewidth <line_width>" . nil)
		           ("\"<fontname>\"" . nil)
		           ("<fontsize>" . nil)
		           ("<color0>" . nil)
		           ("<color0, color1, ...>" . nil)
		           ))


		("corel" . ( ("default" . nil)
		             ("monochrome" . nil)
		             ("color" . nil)
		             ("\"<font>\"" . nil)
		             ("<fontsize>" . nil)
		             ("<xsize>" . nil)
		             ("<ysize>" . nil)
		             ("<linewidth>" . nil)
		             ))
		

		("dumb" .  ( ("feed" . nil)
		             ("nofeed" . nil)
		             ("<xsize>" . nil)
		             ("<ysize>" . nil)
		             ("noenhanced" . nil)
		             ("enhanced" . nil)
		             ))
		
		
		("dxf" . nil)
		("emf" . (("color" . nil)
		          ("monochrome" . nil)
		          ("solid" . nil)
		          ("dashed" . nil)
		          ("linewidth <linewidth>" . nil)
		          ("\"<fontname>\"". nil)
		          ))
		("fig" . ( ("monochrome" . nil)
		           ("color" . nil)
		           ("landscape" . nil)
		           ("portrait" . nil)
		           ("small" . nil)
		           ("big" . nil)
		           ("size" . nil)
		           ("<xsize>" . nil)
		           ("<ysize>" . nil)
		           ("metric" . nil)
		           ("inches" . nil)
		           ("pointsmax <max_points>")
		           ("solid" . nil)
		           ("dashed" . nil)
		           ("fontsize <fsize>" . nil)
		           ("textnormal" . nil)
		           ("textspecial" . nil)
		           ("texthidden" . nil)
		           ("textrigid" . nil)
		           ("thickness <units>" . nil)
		           ("linewidth <units>" . nil)
		           ("depth <layer>" . nil)
		           ("version <number>" . nil)
		           ))

		("hp2623a" . nil)
		("hp2648" . nil)
		("hp500c" . ( ("75" . nil)
		              ("100" . nil)
		              ("150" . nil)
		              ("300" . nil)
		              ("rle". nil)
		              ("tiff". nil)
		              ))
		("hpgl" . ( ("<number_of_pens>" . nil)
		            ("eject" . nil)
		            ))
		("pcl5" . ( ("mode" . ( ("landscape" . nil)
			         ("monochrome" . nil)
			         ))
		            ("letter" . nil)
		            ("legal" . nil)
		            ("noextended" . nil)
		            ("extended" . nil)
		            ("color" . nil)
		            ("color <number_of_pens>" . nil)
		            ("monochrome" . nil)
		            ("solid" . nil)
		            ("dashed" . nil)
		            ("font" . ( ("stick" . nil)
			         ("univers" . nil)
			         ("cg_times" . nil)
			         ("zapf_dingbats" . nil)
			         ("antique_olive" . nil)
			         ("arial" . nil)
			         ("courier" . nil)
			         ("garamond_antigua" . nil)
			         ("letter_gothic" . nil)
			         ("cg_omega" . nil)
			         ("albertus" . nil)
			         ("times_new_roman" . nil)
			         ("clarendon" . nil)
			         ("coronet" . nil)
			          ("marigold" . nil)
			         ("truetype_symbols" . nil)
			         ("wingdings." . nil)
			         ))
		            ("size <fontsize>" . nil)
		            ("pspoints" . nil)
		            ("nopspoints" . nil)
		            ))
		
		("hpljii" . ( ("75" . nil)
		              ("100" . nil)
		              ("150" . nil)
			("300" . nil)
			))
		 ("hpdj" . ( ("75" . nil)
		             ("100" . nil)
		             ("150" . nil)
		             ("300" . nil)
		             ))
		 
		 ("hppj" . ( ("FNT5X9" . nil)
		             ("FNT9X17" . nil)
		             ("FNT13X25" . nil)
		             ))
		 
		 ("imagen" . ( ("<fontsize>" . nil)
			("portrait" . nil)
			("landscape" . nil)
			("[<horiz,vert>]" . nil)
			))
		 
		 ("mif" .  ( ("color" . nil)
		             ("colour" . nil)
		             ("monochrome" . nil)
		             ("polyline" . nil)
		             ("vectors" . nil)
		             ("help" . nil)
		             ("?" . nil)
		             ))


		 ("pbm" . ( ("small" . nil)
		            ("medium" . nil)
		            ("large" . nil)
		            ("monochrome" . nil)
		            ("gray" . nil)
		            ("color" . nil)
		            ("size <x,y>" . nil)
		            ))


		 ("png" . ( ("notransparent" . nil)
		            ("transparent" . nil)
		            ("nointerlace" . nil)
		            ("interlace" . nil)
		            ("notruecolor" . nil)
		            ("truecolor" . nil)
		            ("tiny" . nil)
		            ("small" . nil)
		            ("medium" . nil)
		            ("large" . nil)
		            ("giant" . nil)
		            ("font <face>" . nil) 
		            ("font <face fontsize>" . nil) 
		            ("size <x,y>" . nil)
		            ("nocrop" . nil)
		            ("crop" . nil)
		            ("enhanced" . nil)
		            ("noenhanced" . nil)
		            ("<color0>" . nil)
		            ("<color0 color1...>" . nil)
		            ))


		 ("jpeg" . ( ("nointerlace" . nil)
		             ("nointerlace" . nil)
		             ("tiny" . nil)
		             ("small" . nil)
		             ("medium" . nil)
		             ("large" . nil)
		             ("giant" . nil)
		             ("font <face>" . nil)
		             ("font <face fontsize>" . nil)
		             ("size <x,y>" . nil)
		             ("crop" . nil)
		             ("nocrop" . nil)
		             ("enhanced" . nil)
		             ("noenhanced" . nil)
		             ("<color0>" . nil)
		             ("<color0 color1...>" . nil)
		             ))


		 ("gif" .  ( ("tiny" . nil)
		             ("small" . nil)
		             ("medium" . nil)
		             ("large" . nil)
		             ("giant" . nil)
		             ("notransparent" . nil)
		             ("noenhanced" . nil)
		             ("transparent" . nil)
		             ("enhanced" . nil)
		             ("font <face>" . nil)
		             ("font <face pointsize>" . nil)
		             ("animate" . ( ("delay <time>" . nil)
			             ("nooptimize" . nil)
			             ("" . nil)
			             ))
		             ("size <x,y>" . nil)
		             ("nocrop" . nil)
		             ("crop" . nil)
		             ("<color0>" . nil)
		             ("<color0 color1...>" . nil)
		             ))

		("epslatex" . ( ("default" . nil)
			 ("standalone" . nil)
			 ("input" . nil)
			 ("oldstyle" . nil)
			 ("newstyle" . nil)
			 ("level1" . nil)
			 ("leveldefault" . nil)
			 ("color" . nil)
			 ("colour" . nil)
			 ("monochrome" . nil)
			 ("solid" . nil)
			 ("dashed" . nil)
			 ("dashlength <DL>" . nil)
			 ("dl <DL>" . nil)
			 ("linewidth <LW>" . nil)
			 ("lw <LW>" . nil)
			 ("rounded" . nil)
			 ("butt" . nil)
			 ("palfuncparam <samples>". nil)
			 ("palfuncparam <samples, maxdeviation>" . nil)
			 ("header \"<header_string>\"" . nil)
			 ("noheader" . nil)
			 ("blacktext" . nil)
			 ("colortext" . nil)
			 ("colourtext" . nil)
			 ("\"<fontname>\"" . nil)
			 ("<fontsize>" . nil)
			 ))


		("pslatex" .  ( ("default" . nil)
			 ("rotate" . nil)
			 ("norotate" . nil)
			 ("oldstyle" . nil)
			 ("newstyle" . nil)
			 ("auxfile" . nil)
			 ("noauxfile" . nil)
			 ("level1" . nil)
			 ("leveldefault" . nil)
			 ("color" . nil)
			 ("colour" . nil)
			 ("monochrome" . nil)
			 ("solid" . nil)
			 ("dashed" . nil)
			 ("dashlength <DL>" . nil)
			 ("dl <DL>" . nil)
			 ("linewidth <LW>" . nil)
			 ("lw <LW>" . nil)
			 ("rounded" . nil)
			 ("butt" . nil)
			 ("palfuncparam <samples>" . nil)
			 ("palfuncparam <samples, maxdeviation>" . nil)
			 ("<fontsize>" . nil)
			 ))

		("pstex" .  ( ("default" . nil)
			 ("rotate" . nil)
			 ("norotate" . nil)
			 ("oldstyle" . nil)
			 ("newstyle" . nil)
			 ("auxfile" . nil)
			 ("noauxfile" . nil)
			 ("level1" . nil)
			 ("leveldefault" . nil)
			 ("color" . nil)
			 ("colour" . nil)
			 ("monochrome" . nil)
			 ("solid" . nil)
			 ("dashed" . nil)
			 ("dashlength <DL>" . nil)
			 ("dl <DL>" . nil)
			 ("linewidth <LW>" . nil)
			 ("lw <LW>" . nil)
			 ("rounded" . nil)
			 ("butt" . nil)
			 ("palfuncparam <samples>" . nil)
			 ("palfuncparam <samples, maxdeviation>" . nil)
			 ("<fontsize>" . nil)
			 ))
		
		("postscript" . ( ("default" . nil)
			   ("landscape" . nil)
			   ("portrait" . nil)
			   ("eps" . nil)
			   ("enhanced" . nil)
			   ("noenhanced" . nil)
			   ("defaultplex" . nil)
			   ("simplex" . nil)
			   ("duplex" . nil)
			   ("fontfile" . ( ("\"<filename>\"" . nil)
				    ("add \"<filename>\"" . nil)
				    ("delete \"<filename>\"" . nil)
				    ))
			   ("nofontfiles" . nil)
			   ("level1" . nil)
			   ("leveldefault" . nil)
			   ("color" . nil)
			   ("colour" . nil)
			   ("monochrome" . nil)
			   ("solid" . nil)
			   ("dashed" . nil)
			   ("dashlength <DL>" . nil)
			   ("dl <DL>" . nil)
			   ("linewidth <DL>" . nil)
			   ("lw <LW>" . nil)
			   ("rounded" . nil)
			   ("butt" . nil)
			   ("palfuncparam <samples>" . nil)
			   ("palfuncparam <samples,maxdeviation>" . nil)
			   ("blacktext" . nil)
			   ("colortext" . nil)
			   ("colourtext" . nil)
			   ("\"<fontname>\"" . nil)
			   ("<fontsize>" . nil)
			   ))
		("post"       . ( ("default" . nil)
			   ("landscape" . nil)
			   ("portrait" . nil)
			   ("eps" . nil)
			   ("enhanced" . nil)
			   ("noenhanced" . nil)
			   ("defaultplex" . nil)
			   ("simplex" . nil)
			   ("duplex" . nil)
			   ("fontfile" . ( ("\"<filename>\"" . nil)
				    ("add \"<filename>\"" . nil)
				    ("delete \"<filename>\"" . nil)
				    ))
			   ("nofontfiles" . nil)
			   ("level1" . nil)
			   ("leveldefault" . nil)
			   ("color" . nil)
			   ("colour" . nil)
			   ("monochrome" . nil)
			   ("solid" . nil)
			   ("dashed" . nil)
			   ("dashlength <DL>" . nil)
			   ("dl <DL>" . nil)
			   ("linewidth <DL>" . nil)
			   ("lw <LW>" . nil)
			   ("rounded" . nil)
			   ("butt" . nil)
			   ("palfuncparam <samples>" . nil)
			   ("palfuncparam <samples,maxdeviation>" . nil)
			   ("blacktext" . nil)
			   ("colortext" . nil)
			   ("colourtext" . nil)
			   ("\"<fontname>\"" . nil)
			   ("<fontsize>" . nil)
			   ))
		
		 ("qms" . nil)
		("svg" . ( ("size <x y>" . ( ("" . nil)
			              ("fixed" . nil)
			              ("dynamic" . nil)
			              ))
		           ("enhanced" . nil)
		           ("noenhanced" . nil)
		           ("fname \"<font>\"" . nil)
		           ("fsize <fontsize>" . nil)
		           ("fontfile \"<filename>\"" . nil)
		           ("linewidth <lw>" . nil)
		           ))


		("tgif" . ( ("portrait" . nil)
		            ("landscape" . nil)
		            ("default" . nil)
		            ("[<x,y>]" . nil)
		            ("monochrome" . nil)
		            ("color" . nil)
		            ("linewidth <LW>" . nil)
		            ("lw <LW>" . nil)
		            ("solid" . nil)
		            ("dashed" . nil)
		            ("font \"<fontname>\"" . nil)
		            ("<fontsize>" . nil)
		            ))


		("tkcanvas" . nil)
		("epson-180dpi" . nil)
		("epson-60dpi" . nil)
		("epson-lx800" . nil) 
		("nec-cp6" . ( ("monochrome" . nil)
			("colour" . nil)
			("draft" . nil)
			))
		("okidata" . nil)
		("starc" . nil) 
		("tandy-60dpi" . nil)

		("latex" . ( ("courier" . nil)
		             ("roman" . nil)
		             ("default" . nil)
		             ("<fontsize>" . nil)
		             ))
		("emtex" . ( ("courier" . nil)
		             ("roman" . nil)
		             ("default" . nil)
		             ("<fontsize>" . nil)
		             ))
	              


		("eepic" .  ( ("color" . nil)
		              ("dashed" . nil)
		              ("rotate" . nil)
		              ("small" . nil)
		              ("tiny" . nil)
		              ("default" . nil)
		              ("<fontsize>" . nil)
		              ))

		("tpic" . ( ("<pointsize>" . nil)
		            ("<linewidth>" . nil)
		            ("<interval>"  . nil)
		            ))
		
		("pstricks" . ( ("hacktext" . nil)
			 ("nohacktext". nil)
			 ("unit" . nil)
			 ("nounit" . nil)
			 ))

		("texdraw" . nil)
		("mf" . nil)
		("mp" . ( ("color" . nil)
		          ("colour" . nil)
		          ("monochrome" . nil)
		          ("solid" . nil)
		          ("dashed" . nil)
		          ("notex" . nil)
		          ("tex" . nil)
		          ("latex" . nil)
		          ("magnification <magsize>" . nil)
		          ("psnfss" . nil)
		          ("psnfss-version7" . nil)
		          ("nopsnfss" . nil)
		          ("prologues <value>" . nil)
		          ("a4paper". nil)
		          ("amstex" . nil)
		          ("\"<fontname>\"" . nil)
		          ("<fontsize>" . nil)
		          ))
		
		("push" . nil)
		("pop". nil)
		
		))
	     
	     ("termoption" . ( ("enhanced" . nil)
		        ("noenhanced" . nil)
		        ("font \"<fontname(,fontsize)>\"". nil)
		        ))
	     
	     ("tics" . ( ("axis" . nil)
		  ("border" . nil)
		  ("nomirror" . nil)
		  ("mirror" . nil)
		  ("in" . nil)
		  ("out" . nil)
		  ("scale" . nil)
		  ("scale default" . nil)
		  ("scale <major,minor>" . nil)
		  ("rotate" . nil)
		  ("norotate" . nil)
		  ("rotate by <angle>" . nil)
		  ("offset <offset>" . nil)
		  ("nooffset" . nil)
		  ("font \"<fontname(,fontsize)>\"" . nil)
		  ("textcolor <colorspec>" . nil)
		  ("tc <colorspec>". nil)
		  ))
	     
	     ("timestamp" .  ( ("\"<format>\"" . nil)
		        ("top" . nil)
		        ("bottom" . nil)
		        ("rotate" . nil)
		        ("norotate" . nil)
		        ("offset <xoff,yoff>" . nil)
		        ("font \"<fontname(,fontsize)>\"". nil)
		        ))
	     ("time" .  ( ("\"<format>\"" . nil)
		   ("top" . nil)
		   ("bottom" . nil)
		   ("rotate" . nil)
		   ("norotate" . nil)
		   ("offset <xoff,yoff>" . nil)
		   ("font \"<fontname(,fontsize)>\"". nil)
		   ))
	     
	     ("title" . ( ("\"<title-text>\"" . nil)
		   ("offset <x(,y(,z))>" . nil)
		   ("font \"<font,size>\"" . nil)
		   ("textcolor lt <line_type>" . nil)
		   ("tc lt <line_type>" . nil)
		   ("textcolor default" . nil)
		   ("tc default" . nil)
		   ("noenhanced" . nil)
		   ("enhanced". nil)
		   ))
	     
	     ("view" . ( nil
		  ("<rot_x(, rot_z(, scale(, scale_z)))>" . nil)
		  ("map". nil)
		  ))
	     
	     ("xdata" . ( ("time" . nil)
		   ("". nil)
		   ))
	     
	     ("ydata" . ( ("time" . nil)
		   ("". nil)
		   ))
	     
	     ("zdata" . ( ("time" . nil)
		   ("". nil)
		   ))
	     
	     ("x2data" . ( ("time" . nil)
		    ("". nil)
		    ))
	     
	     ("y2data" . ( ("time" . nil)
		    ("". nil)
		    ))
	     
	     ("cbdata" . ( ("time" . nil)
		    ("". nil)
		    ))
	     
	     ("xlabel" . ( ("\"<label>\"" . nil)
		    ("offset <offset>" . nil)
		    ("font \"<font(,size)>\"" . nil)
		    ("textcolor lt <line_type>" . nil)
		    ("tc lt <line_type>" . nil)
		    ("textcolor default" . nil)
		    ("tc default" . nil)
		    ("noenhanced" . nil)
		    ("enhanced" . nil)
		    ("rotate by <degrees>" . nil)
		    ("" . nil)
		    ))
	     ("ylabel" . ( ("\"<label>\"" . nil)
		    ("offset <offset>" . nil)
		    ("font \"<font(,size)>\"" . nil)
		    ("textcolor lt <line_type>" . nil)
		    ("tc lt <line_type>" . nil)
		    ("textcolor default" . nil)
		    ("tc default" . nil)
		    ("noenhanced" . nil)
		    ("enhanced" . nil)
		    ("rotate by <degrees>" . nil)
		    ("" . nil)
		    ))
	     ("zlabel" . ( ("\"<label>\"" . nil)
		    ("offset <offset>" . nil)
		    ("font \"<font(,size)>\"" . nil)
		    ("textcolor lt <line_type>" . nil)
		    ("tc lt <line_type>" . nil)
		    ("textcolor default" . nil)
		    ("tc default" . nil)
		    ("noenhanced" . nil)
		    ("enhanced" . nil)
		    ("rotate by <degrees>" . nil)
		    ("" . nil)
		    ))
	     ("x2label" . ( ("\"<label>\"" . nil)
		    ("offset <offset>" . nil)
		    ("font \"<font(,size)>\"" . nil)
		    ("textcolor lt <line_type>" . nil)
		    ("tc lt <line_type>" . nil)
		    ("textcolor default" . nil)
		    ("tc default" . nil)
		    ("noenhanced" . nil)
		    ("enhanced" . nil)
		    ("rotate by <degrees>" . nil)
		    ("" . nil)
		    ))
	     ("y2label" . ( ("\"<label>\"" . nil)
		    ("offset <offset>" . nil)
		    ("font \"<font(,size)>\"" . nil)
		    ("textcolor lt <line_type>" . nil)
		    ("tc lt <line_type>" . nil)
		    ("textcolor default" . nil)
		    ("tc default" . nil)
		    ("noenhanced" . nil)
		    ("enhanced" . nil)
		    ("rotate by <degrees>" . nil)
		    ("" . nil)
		    ))
	     ("cblabel" . ( ("\"<label>\"" . nil)
		    ("offset <offset>" . nil)
		    ("font \"<font(,size)>\"" . nil)
		    ("textcolor lt <line_type>" . nil)
		    ("tc lt <line_type>" . nil)
		    ("textcolor default" . nil)
		    ("tc default" . nil)
		    ("noenhanced" . nil)
		    ("enhanced" . nil)
		    ("rotate by <degrees>" . nil)
		    ("" . nil)
		    ))
	     
 
	     ("xrange" . ( ("[<min:<max>]" . nil)
		    ("noreverse" . nil)
		    ("reverse" . nil)
		    ("nowriteback" . nil)
		    ("writeback" . nil)
		    ("restore". nil)
		    ))
	     
	     ("yrange" . ( ("[<min:<max>]" . nil)
		    ("noreverse" . nil)
		    ("reverse" . nil)
		    ("nowriteback" . nil)
		    ("writeback" . nil)
		    ("restore". nil)
		    ))
	     
	     ("zrange" . ( ("[<min:<max>]" . nil)
		     ("noreverse" . nil)
		     ("reverse" . nil)
		     ("nowriteback" . nil)
		     ("writeback" . nil)
		     ("restore". nil)
		     ))
	     
	     ("x2range" . ( ("[<min:<max>]" . nil)
		     ("noreverse" . nil)
		     ("reverse" . nil)
		     ("nowriteback" . nil)
		     ("writeback" . nil)
		     ("restore". nil)
		     ))
	     
	     ("y2range" . ( ("[<min:<max>]" . nil)
		     ("noreverse" . nil)
		     ("reverse" . nil)
		     ("nowriteback" . nil)
		     ("writeback" . nil)
		     ("restore". nil)
		     ))
	     
	     ("cbrange" . ( ("[<min:<max>]" . nil)
		     ("noreverse" . nil)
		     ("reverse" . nil)
		     ("nowriteback" . nil)
		     ("writeback" . nil)
		     ("restore". nil)
		     ))
	     
	     ("rrange" . ( ("[<min:<max>]" . nil)
		    ("noreverse" . nil)
		    ("reverse" . nil)
		    ("nowriteback" . nil)
		    ("writeback" . nil)
		    ("restore". nil)
		    ))
	     
	     ("trange" . ( ("[<min:<max>]" . nil)
		    ("noreverse" . nil)
		    ("reverse" . nil)
		    ("nowriteback" . nil)
		    ("writeback" . nil)
		    ("restore". nil)
		    ))
	     
	     ("urange" . ( ("[<min:<max>]" . nil)
		    ("noreverse" . nil)
		    ("reverse" . nil)
		    ("nowriteback" . nil)
		    ("writeback" . nil)
		    ("restore". nil)
		    ))
	     
	     ("vrange" . ( ("[<min:<max>]" . nil)
		    ("noreverse" . nil)
		    ("reverse" . nil)
		    ("nowriteback" . nil)
		    ("writeback" . nil)
		    ("restore". nil)
		    ))
	     
	     ("xtics" . ( ("axis" . nil)
		   ("border" . nil)
		   ("nomirror" . nil)
		   ("mirror" . nil)
		   ("in" . nil)
		   ("out" . nil)
		   ("scale default" . nil)
		   ("scale <m1ajor(,minor)>" . nil)
		   ("norotate" . nil)
		   ("rotate" . nil)
		   ("rotate by <angle>" . nil)
		   ("offset <offset>" . nil)
		   ("nooffset" . nil)
		   ("add"  "autofreq" . nil)
		   ("<incr>" . nil)
		   ("<start,incr(,end)>" . nil)
		   ("(<\"label\" pos (level) (,\"<label>\"...)>)" . nil)
		   ("font \"<fontname(,size)>\"" . nil)
		   ("textcolor <colorspec>" . nil)
		   ("tc <colorspec>". nil)
		   ))
	     
	     ("ytics" . ( ("axis" . nil)
		   ("border" . nil)
		   ("nomirror" . nil)
		   ("mirror" . nil)
		   ("in" . nil)
		   ("out" . nil)
		   ("scale default" . nil)
		   ("scale <m1ajor(,minor)>" . nil)
		   ("norotate" . nil)
		   ("rotate" . nil)
		   ("rotate by <angle>" . nil)
		   ("offset <offset>" . nil)
		   ("nooffset" . nil)
		   ("add"  "autofreq" . nil)
		   ("<incr>" . nil)
		   ("<start,incr(,end)>" . nil)
		   ("(<\"label\" pos (level) (,\"<label>\"...)>)" . nil)
		   ("font \"<fontname(,size)>\"" . nil)
		   ("textcolor <colorspec>" . nil)
		   ("tc <colorspec>". nil)
		   ))

	     ("ztics" . ( ("axis" . nil)
		   ("border" . nil)
		   ("nomirror" . nil)
		   ("mirror" . nil)
		   ("in" . nil)
		   ("out" . nil)
		   ("scale default" . nil)
		   ("scale <major(,minor)>" . nil)
		   ("norotate" . nil)
		   ("rotate" . nil)
		   ("rotate by <angle>" . nil)
		   ("offset <offset>" . nil)
		   ("nooffset" . nil)
		   ("add"  "autofreq" . nil)
		   ("<incr>" . nil)
		   ("<start,incr(,end)>" . nil)
		   ("(<\"label\" pos (level) (,\"<label>\"...)>)" . nil)
		   ("font \"<fontname(,size)>\"" . nil)
		   ("textcolor <colorspec>" . nil)
		   ("tc <colorspec>". nil)
		   ))
	     
	     ("x2tics" . ( ("axis" . nil)
		    ("border" . nil)
		    ("nomirror" . nil)
		    ("mirror" . nil)
		    ("in" . nil)
		    ("out" . nil)
		    ("scale default" . nil)
		    ("scale <major(,minor)>" . nil)
		    ("norotate" . nil)
		    ("rotate" . nil)
		    ("rotate by <angle>" . nil)
		    ("offset <offset>" . nil)
		    ("nooffset" . nil)
		    ("add"  "autofreq" . nil)
		    ("<incr>" . nil)
		    ("<start,incr(,end)>" . nil)
		    ("(<\"label\" pos (level) (,\"<label>\"...)>)" . nil)
		    ("font \"<fontname(,size)>\"" . nil)
		    ("textcolor <colorspec>" . nil)
		    ("tc <colorspec>". nil)
		    ))
	     
	     ("y2tics" . ( ("axis" . nil)
		    ("border" . nil)
		    ("nomirror" . nil)
		    ("mirror" . nil)
		    ("in" . nil)
		    ("out" . nil)
		    ("scale default" . nil)
		    ("scale <major(,minor)>" . nil)
		    ("norotate" . nil)
		    ("rotate" . nil)
		    ("rotate by <angle>" . nil)
		    ("offset <offset>" . nil)
		    ("nooffset" . nil)
		    ("add"  "autofreq" . nil)
		    ("<incr>" . nil)
		    ("<start,incr(,end)>" . nil)
		    ("(<\"label\" pos (level) (,\"<label>\"...)>)" . nil)
		    ("font \"<fontname(,size)>\"" . nil)
		    ("textcolor <colorspec>" . nil)
		    ("tc <colorspec>". nil)
		    ))
	     
	     ("cbtics" . ( ("axis" . nil)
		    ("border" . nil)
		    ("nomirror" . nil)
		    ("mirror" . nil)
		    ("in" . nil)
		    ("out" . nil)
		    ("scale default" . nil)
		    ("scale <major(,minor)>" . nil)
		    ("norotate" . nil)
		    ("rotate" . nil)
		    ("rotate by <angle>" . nil)
		    ("offset <offset>" . nil)
		    ("nooffset" . nil)
		    ("add"  "autofreq" . nil)
		    ("<incr>" . nil)
		    ("<start,incr(,end)>" . nil)
		    ("(<\"label\" pos (level) (,\"<label>\"...)>)" . nil)
		    ("font \"<fontname(,size)>\"" . nil)
		    ("textcolor <colorspec>" . nil)
		    ("tc <colorspec>". nil)
		    ))
	     
	     ("ticslevel" . ( ("<level>". nil)
		       ))
	     
	     ("xyplane" . ( ("<level>" . nil)
		     ("at <level>". nil)
		     ))
	     
	     ("zero" . ( ("<expression>". nil)
		  ))
	     
	     ("xzeroaxis" . ( ("linestyle <line_style>" . nil)
		       ("ls <line_style>" . nil)
		       ("linetype <line_type>" . nil)
		       ("lt <line_type>" . nil)
		       ("linewidth <line_width>" . nil)
		       ("lw <line_width>". nil)
		       ))
	     
	     ("yzeroaxis" . ( ("linestyle <line_style>" . nil)
		       ("ls <line_style>" . nil)
		       ("linetype <line_type>" . nil)
		       ("lt <line_type>" . nil)
		       ("linewidth <line_width>" . nil)
		       ("lw <line_width>". nil)
		       ))

	     ("zzeroaxis" . ( ("linestyle <line_style>" . nil)
		       ("ls <line_style>" . nil)
		       ("linetype <line_type>" . nil)
		       ("lt <line_type>" . nil)
		       ("linewidth <line_width>" . nil)
		       ("lw <line_width>". nil)
		       ))

	     ("x2zeroaxis" . ( ("linestyle <line_style>" . nil)
		       ("ls <line_style>" . nil)
		       ("linetype <line_type>" . nil)
		       ("lt <line_type>" . nil)
		       ("linewidth <line_width>" . nil)
		       ("lw <line_width>". nil)
		       ))

	     ("y2zeroaxis" . ( ("linestyle <line_style>" . nil)
		       ("ls <line_style>" . nil)
		       ("linetype <line_type>" . nil)
		       ("lt <line_type>" . nil)
		       ("linewidth <line_width>" . nil)
		       ("lw <line_width>". nil)
		       ))
	     
	     ("timefmt" . ( ("\"<format string>\"". nil)
		     ))
	     ))
          ("unset" . ( nil
	       ("angles" . nil)
	       ("arrow" . nil)
	       ("autoscale" . (("x" . nil) ("y" . nil) ("z" . nil) ("cb" . nil) ("x2" . nil) ("y2" . nil) ("xy" . nil)))
	       ("bars" . nil)
	       ("bmargin" . nil)
	       ("border" . nil)
	       ("boxwidth" . nil)
	       ("clabel" . nil)
	       ("clip" . ( ("<clip-type>" . nil) ))
	       ("cntrparam" . nil)
	       ("color box" . nil)
	       ("contour" . nil)
	       ("datafile" . ( nil
		        ("fortran" . nil)
		        ("missing" . nil)
		        ("separator" . nil)
		        ("commentschars" . nil)))
	       ("decimalsign" . nil)
	       ("dgrid3d" . nil)
	       ("dummy" . nil)
	       ("encoding" . nil)
	       ("fit" . nil)
	       ("fontpath" . nil)
	       ("format" . nil)
	       ("grid" . nil)
	       ("hidden3d" . nil)
	       ("historysize" . nil)
	       ("isosamples" . nil)
	       ("key" . nil)
	       ("label" . ( nil ("<tag>" . nil) ("" . nil)))
	       ("lmargin" . nil)
	       ("loadpath" . nil)
	       ("locale" . nil)
	       ("logscale" . ( nil ("x" . nil) ("y" . nil) ("z" . nil) ("cb" . nil) ("x2" . nil) ("y2" . nil) ("" . nil)))
	       ("macros" . nil)
	       ("mapping" . nil)
	       ("margin" . nil)
	       ("mouse" . nil)
	       ("multiplot" . nil)
	       ("mx2tics" . nil)
	       ("mxtics" . nil)
	       ("my2tics" . nil)
	       ("mytics" . nil)
	       ("mztics" . nil)
	       ("offsets" . nil)
	       ("origin" . nil)
	       ("output" . nil)
	       ("parametric" . nil)
	       ("plot" . nil)
	       ("pm3d" . nil)
	       ("palette" . nil)
	       ("pointsize" . nil)
	       ("polar" . nil)
	       ("print" . nil)
	       ("rmargin" . nil)
	       ("rrange" . nil)
	       ("samples" . nil)
	       ("size" . nil)
	       ("style" . ( nil
		     ("data" . nil)
		     ("arrow" . nil)
		     ("fill" . nil)
		     ("function" . nil)
		     ("line" . nil)
		     ))
	       ("surface" . nil)
	       ("table" . nil)
	       ("terminal" . nil)
	       ("termoption" . nil)
	       ("tics" . nil)
	       ("ticslevel" . nil)
	       ("ticscale" . nil)
	       ("timestamp" . nil)
	       ("timefmt" . nil)
	       ("title" . nil)
	       ("tmargin" . nil)
	       ("trange" . nil)
	       ("urange" . nil)
	       ("view" . nil)
	       ("vrange" . nil)
	       ("x2data" . nil)
	       ("x2dtics" . nil)
	       ("x2label" . nil)
	       ("x2mtics" . nil)
	       ("x2range" . nil)
	       ("x2tics" . nil)
	       ("x2zeroaxis" . nil)
	       ("xdata" . nil)
	       ("xdtics" . nil)
	       ("xlabel" . nil)
	       ("xmtics" . nil)
	       ("xrange" . nil)
	       ("xtics" . nil)
	       ("xyplane" . nil)
	       ("xzeroaxis" . nil)
	       ("y2data" . nil)
	       ("y2dtics" . nil)
	       ("y2label" . nil)
	       ("y2mtics" . nil)
	       ("y2range" . nil)
	       ("y2tics" . nil)
	       ("y2zeroaxis" . nil)
	       ("ydata" . nil)
	       ("ydtics" . nil)
	       ("ylabel" . nil)
	       ("ymtics" . nil)
	       ("yrange" . nil)
	       ("ytics" . nil)
	       ("yzeroaxis" . nil)
	       ("zdata" . nil)
	       ("zdtics" . nil)
	       ("zzeroaxis" . nil)
	       ("cbdata" . nil)
	       ("cbdtics" . nil)
	       ("zero" . nil)
	       ("zeroaxis" . nil)
	       ("zlabel" . nil)
	       ("zmtics" . nil)
	       ("zrange" . nil)
	       ("ztics" . nil)
	       ("cblabel" . nil)
	       ("cbmtics" . nil)
	       ("cbrange" . nil)
	       ("cbtics" . nil)
	       ))
          ("show" . ( nil
	      ("angles" . nil)
	      ("arrow" . ( ("<tag>" . nil) ("" . nil)))
	      ("autoscale" . nil)
	      ("bars" . nil)
	      ("bmargin" . nil)
	      ("border" . nil)
	      ("boxwidth" . nil)
	      ("clabel" . nil)
	      ("clip" . nil)
	      ("cntrparam" . nil)
	      ("color box" . nil)
	      ("contour" . nil)
	      ("datafile" . ( nil
		       ("missing" . nil)
		       ("separator" . nil)
		       ("commentschars" . nil)))
	      ("decimalsign" . nil)
	      ("dgrid3d" . nil)
	      ("dummy" . nil)
	      ("encoding" . nil)
	      ("fit" . nil)
	      ("fontpath" . nil)
	      ("format" . nil)
	      ("functions" . nil)
	      ("grid" . nil)
	      ("hidden3d" . nil)
	      ("historysize" . nil)
	      ("isosamples" . nil)
	      ("key" . nil)
	      ("label" . nil)
	      ("lmargin" . nil)
	      ("loadpath" . nil)
	      ("locale" . nil)
	      ("logscale" . nil)
	      ("macros" . nil)
	      ("mapping" . nil)
	      ("margin" . nil)
	      ("mouse" . nil)
	      ("multiplot" . nil)
	      ("mx2tics" . nil)
	      ("mxtics" . nil)
	      ("my2tics" . nil)
	      ("mytics" . nil)
	      ("mztics" . nil)
	      ("offsets" . nil)
	      ("origin" . nil)
	      ("output" . nil)
	      ("parametric" . nil)
	      ("plot" . nil)
	      ("pm3d" . nil)
	      ("palette" . ( nil
		      ("palette <n>" . nil)
		      ("palette <n> float" . nil)
		      ("palette <n> int" . nil)
		      ("gradient" . nil)
		      ("fit2rgbformulae" . nil)
		      ("rgbformulae" . nil)
		      ("colornames" . nil)
		      ("" . nil)
		      ))
	      ("pointsize" . nil)
	      ("polar" . nil)
	      ("print" . nil)
	      ("rmargin" . nil)
	      ("rrange" . nil)
	      ("samples" . nil)
	      ("size" . nil)
	      ("style" . ( nil
		    ("data" . nil)
		    ("arrow" . nil)
		    ("fill" . nil)
		    ("function" . nil)
		    ("line" . nil)
		    ))
	      
	      ("surface" . nil)
	      ("table" . nil)
	      ("terminal" . nil)
	      ("termoption" . nil)
	      ("tics" . nil)
	      ("ticslevel" . nil)
	      ("ticscale" . nil)
	      ("timestamp" . nil)
	      ("timefmt" . nil)
	      ("title" . nil)
	      ("tmargin" . nil)
	      ("trange" . nil)
	      ("urange" . nil)
	      ("variables" . nil)
	      ("version" . ( ("" . nil) ("long" . nil)))
	      ("view" . nil)
	      ("vrange" . nil)
	      ("x2data" . nil)
	      ("x2dtics" . nil)
	      ("x2label" . nil)
	      ("x2mtics" . nil)
	      ("x2range" . nil)
	      ("x2tics" . nil)
	      ("x2zeroaxis" . nil)
	      ("xdata" . nil)
	      ("xdtics" . nil)
	      ("xlabel" . nil)
	      ("xmtics" . nil)
	      ("xrange" . nil)
	      ("xtics" . nil)
	      ("xyplane" . nil)
	      ("xzeroaxis" . nil)
	      ("y2data" . nil)
	      ("y2dtics" . nil)
	      ("y2label" . nil)
	      ("y2mtics" . nil)
	      ("y2range" . nil)
	      ("y2tics" . nil)
	      ("y2zeroaxis" . nil)
	      ("ydata" . nil)
	      ("ydtics" . nil)
	      ("ylabel" . nil)
	      ("ymtics" . nil)
	      ("yrange" . nil)
	      ("ytics" . nil)
	      ("yzeroaxis" . nil)
	      ("zdata" . nil)
	      ("zdtics" . nil)
	      ("zzeroaxis" . nil)
	      ("cbdata" . nil)
	      ("cbdtics" . nil)
	      ("zero" . nil)
	      ("zeroaxis" . nil)
	      ("zlabel" . nil)
	      ("zmtics" . nil)
	      ("zrange" . nil)
	      ("ztics" . nil)
	      ("cblabel" . nil)
	      ("cbmtics" . nil)
	      ("cbrange" . nil)
	      ("cbtics" . nil)
	      ))
          
          ("system" . ( nil ("\"<shell_command>\"". nil)
	         ))
          
          ("test" . ( nil ("terminal" . nil)
	       ("palette" . ( ("rgb" . nil)
		       ("rbg" . nil)
		       ("grb" . nil)
		       ("gbr" . nil)
		       ("brg" . nil)
		       ("bgr". nil)
		       ))
	       ))
          
          ("update". ( nil
	       ("\"<filename>\"" . nil)
	        ("\"<file1 file2>\"". nil)
	        ))
          
          ("bind" . ( ("all" . nil)
	       ("allwindows" . nil)
	       ("\"<gnuplot commands>\"". nil)
	       ("\"<key>\"" . nil)
	       ("\"ctrl-<key>\"" . nil)
	       ("\"alt-<key>\"" . nil)
	       ("\"ctrl-alt-<key>\"" . nil)
	       ("BackSpace" . nil) ("Tab" . nil) ("Linefeed" . nil) ("Clear" . nil) ("Return" . nil) ("Pause" . nil) ("Scroll_Lock" . nil) 
	       ("Sys_Req" . nil) ("Escape" . nil) ("Delete" . nil) ("Home" . nil) ("Left" . nil) ("Up" . nil) ("Right" . nil) ("Down" . nil) 
	       ("PageUp" . nil) ("PageDown" . nil) ("End" . nil) ("Begin" . nil) 
	       ("KP_Space" . nil) ("KP_Tab" . nil) ("KP_Enter" . nil) ("KP_F1" . nil) ("KP_F2" . nil) ("KP_F3" . nil) ("KP_F4" . nil) 
	       ("KP_Home" . nil) ("KP_Left" . nil) ("KP_Up" . nil) ("KP_Right" . nil) ("KP_Down" . nil) ("KP_PageUp" . nil) 
	       ("KP_PageDown" . nil) ("KP_End" . nil) ("KP_Begin" . nil) ("KP_Insert" . nil) ("KP_Delete" . nil) ("KP_Equal" . nil) 
	       ("KP_Multiply" . nil) ("KP_Add" . nil) ("KP_Separator" . nil) ("KP_Subtract" . nil) ("KP_Decimal" . nil) 
	       ("KP_Divide" . nil) 
	       ("KP_1" . nil)
	       ("KP_2" . nil)
	       ("KP_3" . nil)
	       ("KP_4" . nil)
	       ("KP_5" . nil)
	       ("KP_6" . nil)
	       ("KP_7" . nil)
	       ("KP_8" . nil)
	       ("KP_9" . nil)
	       ("F1"  . nil)
	       ("F2"  . nil)
	       ("F3"  . nil)
	       ("F4"  . nil)
	       ("F5"  . nil)
	       ("F6"  . nil)
	       ("F7"  . nil)
	       ("F8"  . nil)
	       ("F9"  . nil)
	       ("F10"  . nil)
	       ("F11"  . nil)
	       ("F12"  . nil)
	       
	       ))
          ))
  )

          


  


